<template>
  <section class="flex justify-between p-4">
    <span class="font-semibold text-base base:text-sm">Total Harga</span>

    <span
      class="font-semibold text-base base:text-sm"
      v-if="this.cart.length > 0"
      >$
      {{
        this.cart
          .map((d) => {
            return d.products.values().next().value;
          })
          .map((d) => {
            return d.total;
          })
          .reduce((a, b) => a + b)
      }}</span
    >
    <span class="font-semibold text-base base:text-sm" v-else>$ 0</span>
  </section>
</template>

<script>
export default {
  name: "TotalHarga",
  props: ["cart"],
};
</script>
